For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
          • POST/target-fields

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/target-fields

GET
/hris/v1/target-fields
GET
/api/hris/v1/target-fields
$curl https://api.merge.dev/api/hris/v1/target-fields \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "Benefit": [
3 {
4 "name": "example_target_field_name",
5 "description": "this is a example description of a target field",
6 "is_mapped": "true"
7 }
8 ],
9 "EmployerBenefit": [
10 {
11 "name": "example_target_field_name",
12 "description": "this is a example description of a target field",
13 "is_mapped": "true"
14 }
15 ],
16 "Company": [
17 {
18 "name": "example_target_field_name",
19 "description": "this is a example description of a target field",
20 "is_mapped": "true"
21 }
22 ],
23 "EmployeePayrollRun": [
24 {
25 "name": "example_target_field_name",
26 "description": "this is a example description of a target field",
27 "is_mapped": "true"
28 }
29 ],
30 "Employee": [
31 {
32 "name": "example_target_field_name",
33 "description": "this is a example description of a target field",
34 "is_mapped": "true"
35 }
36 ],
37 "Employment": [
38 {
39 "name": "example_target_field_name",
40 "description": "this is a example description of a target field",
41 "is_mapped": "true"
42 }
43 ],
44 "Location": [
45 {
46 "name": "example_target_field_name",
47 "description": "this is a example description of a target field",
48 "is_mapped": "true"
49 }
50 ],
51 "PayrollRun": [
52 {
53 "name": "example_target_field_name",
54 "description": "this is a example description of a target field",
55 "is_mapped": "true"
56 }
57 ],
58 "Team": [
59 {
60 "name": "example_target_field_name",
61 "description": "this is a example description of a target field",
62 "is_mapped": "true"
63 }
64 ],
65 "TimeOff": [
66 {
67 "name": "example_target_field_name",
68 "description": "this is a example description of a target field",
69 "is_mapped": "true"
70 }
71 ],
72 "TimeOffBalance": [
73 {
74 "name": "example_target_field_name",
75 "description": "this is a example description of a target field",
76 "is_mapped": "true"
77 }
78 ],
79 "BankInfo": [
80 {
81 "name": "example_target_field_name",
82 "description": "this is a example description of a target field",
83 "is_mapped": "true"
84 }
85 ],
86 "PayGroup": [
87 {
88 "name": "example_target_field_name",
89 "description": "this is a example description of a target field",
90 "is_mapped": "true"
91 }
92 ],
93 "Group": [
94 {
95 "name": "example_target_field_name",
96 "description": "this is a example description of a target field",
97 "is_mapped": "true"
98 }
99 ],
100 "Dependent": [
101 {
102 "name": "example_target_field_name",
103 "description": "this is a example description of a target field",
104 "is_mapped": "true"
105 }
106 ],
107 "TimesheetEntry": [
108 {
109 "name": "example_target_field_name",
110 "description": "this is a example description of a target field",
111 "is_mapped": "true"
112 }
113 ]
114}
Get all organization-wide Target Fields, this will not include any Linked Account specific Target Fields. Organization-wide Target Fields are additional fields appended to the Merge Common Model for all Linked Accounts in a category. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/target-fields/).
Was this page helpful?
Previous

/remote-fields

Next

/target-fields

Get all organization-wide Target Fields, this will not include any Linked Account specific Target Fields. Organization-wide Target Fields are additional fields appended to the Merge Common Model for all Linked Accounts in a category. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

Benefitlist of objects
EmployerBenefitlist of objects
Companylist of objects
EmployeePayrollRunlist of objects
Employeelist of objects
Employmentlist of objects
Locationlist of objects
PayrollRunlist of objects
Teamlist of objects
TimeOfflist of objects
TimeOffBalancelist of objects
BankInfolist of objects
PayGrouplist of objects
Grouplist of objects
Dependentlist of objects
TimesheetEntrylist of objects